/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko'], function (ko) {
    'use strict';

    var showBadge = ko.observable(false),
        showWelcomeStarter = ko.observable(false),
        showWelcomePro = ko.observable(false),
        showWelcomeEnterprise = ko.observable(false),
        showStartTrial = ko.observable(false),
        showEndTrial = ko.observable(false),
        showNoMoreTrialCredits = ko.observable(false);

    return {
        showBadge: showBadge,
        showWelcomeStarter: showWelcomeStarter,
        showWelcomePro: showWelcomePro,
        showWelcomeEnterprise: showWelcomeEnterprise,
        showStartTrial: showStartTrial,
        showEndTrial: showEndTrial,
        showNoMoreTrialCredits: showNoMoreTrialCredits
    };
});
